Subject: Re: Success kernel-243pre8-SMP(patch)(Re: spin_lock problem inrecent kernel

From: Olaf Hering <[email-masked]>
Date: Fri, 30 Mar 2001 14:40:41 +0200

On Thu, Mar 29, Tom Gall wrote:

>
> Tony Mantler wrote:
>
> > That's #if*n*def, not #ifdef. :)
> >
> > And speaking of #ifndef, why are these spinlocks here in the first place
> > and/or why do they now need to be removed? Just suddenly removing locks
> > because of a new deadlock condition gets my spidey senses tingling.
>
> It all stinks to high heaven, that's for sure. Removing the
> page_table_lock from being locked in ioremap, saves us from stopping
> cold during the first ioremap (at least on Power3). And as far as the
> second, I'm in complete agreement...  warning warning danger will
> robinson!

That patch solved the boot problem on my 43p 260. Last progress output
was MMU:exit.
It boots and runs fine now.

Gruss Olaf

--
 $ man clone

BUGS
       Main feature not yet implemented...

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/